enum etat_action_t{
  ACTION_EN_COURS,
  ACTION_TERMINEE,
  ACTION_ECHEC
};

void Ascenseur_init(void);
int Ascenseur_monte(void);
int Ascenseur_descend(void);
void Ascenseur_step_up(void);
void Ascenseur_step_down(void);
void Ascenseur_gestion(void);
void Ascenseur_cycle(void);
int Ascenseur_depose(void);
enum etat_action_t Ascenseur_get_etat(void);